language: php

php:
  - hhvm
  - nightly

sudo: false

cache:
  directories:
    - $HOME/.composer/cache
    - $HOME/.cache/pip

env:
  global:
    - PATH="$HOME/.composer/vendor/bin:$PATH"
    - SYMFONY_DEPRECATIONS_HELPER=weak
    - TARGET=test

matrix:
  fast_finish: true
  include:
    - php: 7.0
      env: TARGET=docs
    - php: 5.3
      env: COMPOSER_FLAGS="--prefer-lowest --prefer-stable"
    - php: 5.6
      env: SYMFONY_VERSION=2.3.*
    - php: 5.6
      env: SYMFONY_VERSION=2.7.*
    - php: 5.6
      env: SYMFONY_VERSION=2.8.*
    - php: 5.5
      env: SYMFONY_VERSION=3.0.*
    - php: 5.6
      env: SYMFONY_VERSION=3.0.*
    - php: 7.0
      env: SYMFONY_VERSION=3.0.*

  allow_failures:
    - php: hhvm
    - php: nightly

before_script:
  - (phpenv config-rm xdebug.ini || exit 0)
  - mkdir -p ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d && echo "memory_limit=-1" >> ~/.phpenv/versions/$(phpenv version-name)/etc/conf.d/travis.ini
  - composer selfupdate
  - composer config -q -g github-oauth.github.com $GITHUB_OAUTH_TOKEN
  - composer global require phpunit/phpunit:@stable --no-update
  - composer global update --prefer-dist --no-interaction
  - if [ "$SYMFONY_VERSION" != "" ]; then composer require "symfony/symfony:${SYMFONY_VERSION}" --no-update; fi;
  - travis_wait composer update --prefer-dist --no-interaction $COMPOSER_FLAGS
  - export PATH=$HOME/.local/bin:$PATH
  - pip install -r Resources/doc/requirements.txt --user `whoami`

script:
 - make $TARGET

notifications:
  webhooks: https://sonata-project.org/bundles/core/master/travis

